## pagure 5.8.1+dfsg

=== requirements.txt ===
# Used for when working from a virtualenv.
# Use this file by running "$ pip install -r requirements.txt"
alembic
arrow
bcrypt
binaryornot
bleach
blinker
celery
chardet
cryptography
docutils
enum34;python_version<"3.4"
flask
flask-wtf
kitchen
markdown
munch
Pillow
psutil
pygit2 >= 0.26.0
python-openid;python_version<="2.7"
python3-openid;python_version>="3.0"
python-openid-cla
python-openid-teams
redis
requests
six
# sqlalchemy minimum 0.8
# sqlalchemy 1.3.0 is causing issues on the pip container leading
# test_pagure_lib.py to raise a:
# "(sqlite3.OperationalError) no such column: users.user"
# in test_search_projects_private line 319
sqlalchemy < 1.3.0
# 1.4.0 is broken, 1.4.0-post-1 works but gives odd results on newer setuptools
# the latest version 1.5.0 is also known to work
straight.plugin
wtforms

# Required only for the `oidc` authentication backend
# flask-oidc

# Required only if `USE_FLASK_SESSION_EXT` is set to `True`
# flask-session

# Required only for the `fas` and `openid` authentication backends
# python-fedora

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build-3
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pagure.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pagure.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pagure"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pagure"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pagure (5.8.1+dfsg-3) unstable; urgency=medium

  * Correct mistake and make sure we create HOME under /var/lib/pagure.
    In my last commit, I forgot to update the postinst files and make sure
    that the new HOME is /var/lib/pagure, and not /srv/pagure.
  * Add libjs-highlight.js as a dependency.
    This was a thinko; the dependency should have been added since the
    beginning.
  * Perform user/group replacement on service files on dh_installsystemd.
    There is no reason for us to keep various postinst scripts around just
    to perform the user/group adjustment on systemd service files when we
    can easily do that under the dh_installsystemd rule.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 04 Mar 2020 21:31:12 -0500

pagure (5.8.1+dfsg-2) unstable; urgency=medium

  * Mention pagure/utils.py in d/copyright.
  * Remove override_dh_installinit from d/rules.
  * Mark test B-D as "!nocheck".
    Also, reorganize a few dependencies, and add "python3-bs4" to the
    list.
  * Add Vcs-* fields.
  * Depend on httpd-wsgi3, instead of the Apache-specific package.
    Thanks to Michael Fladischer <fladi@debian.org> (Closes: #952708)
  * Depend on mariadb | postgres | sqlite3.
  * Enable the testsuite, but make it always pass, for now.
    The testsuite unfortunately contains several problems that need to be
    fixed before we are able to run it "for real".  Hopefully, these
    problems will all be addressed in the next release.
  * Use /var/lib/pagure instead of /srv/pagure as HOME.
    This is needed because Debian Policy explicitly says that /srv should
    be reserved to the user, and no package must install files there.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 04 Mar 2020 12:26:22 -0500

pagure (5.8.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #829046).

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 03 Feb 2020 18:49:20 -0500

=== debian/control ===
Source: pagure
Section: net
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 dh-apache2,
 python3-all,
 python3-setuptools,
 sphinx-common,
 python3-sphinx,
 python3-cloud-sptheme,
# Python deps for pagure
 alembic,
 python3-alembic,
 python3-arrow,
 python3-binaryornot,
 python3-bleach,
 python3-blinker,
 python3-celery,
 python-celery-common,
 python3-chardet,
 python3-cryptography,
 python3-docutils,
 python3-flask,
 python3-flaskext.wtf,
 python3-gdbm,
 python3-jenkins,
 python3-kitchen,
 python3-markdown,
 python3-milter,
 python3-munch,
 python3-pil,
 python3-psutil,
 python3-pyclamd,
 python3-pygit2 (>= 0.22.1),
 python3-openid,
 python3-openid-cla,
 python3-openid-teams,
 python3-redis,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-straight.plugin,
 python3-wtforms,
# Needed for tests
 black <!nocheck>,
 python3-bcrypt <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-coverage <!nocheck>,
 python3-eventlet <!nocheck>,
 python3-fedora <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-funcsigs <!nocheck>,
 python3-mock <!nocheck>,
 python3-nose <!nocheck>,
 python3-nosexcover <!nocheck>,
 redis-server <!nocheck>,
 gitolite3 <!nocheck>,
 git <!nocheck>,
# JavaScript deps
 yui-compressor,
 libjs-bootstrap4,
 libjs-codemirror,
 libjs-d3,
 libjs-highlight.js,
 libjs-jquery,
 libjs-jquery-atwho,
 libjs-jquery-caret.js,
 libjs-jquery-textcomplete,
 libjs-jquery-ui,
 libjs-jquery-selectize.js,
 libjs-jquery-lazyload,
 libjs-jstimezonedetect,
 libjs-highlight.js,
# Fonts
 fonts-font-awesome,
Standards-Version: 4.5.0
Homepage: https://pagure.io/pagure
Vcs-Git: https://salsa.debian.org/debian/pagure.git
Vcs-Browser: https://salsa.debian.org/debian/pagure

Package: pagure
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 fonts-font-awesome,
 python-celery-common,
 python3-pymysql,
 python3-pg8000,
 mariadb-server | postgresql | sqlite3,
 httpd-wsgi3,
# Needed for pagure-admin
 python3-gdbm,
# The JS libs are not picked up as deps.
 libjs-bootstrap4,
 libjs-codemirror,
 libjs-d3,
 libjs-jquery,
 libjs-jquery-atwho,
 libjs-jquery-caret.js,
 libjs-jquery-textcomplete,
 libjs-jquery-ui,
 libjs-jquery-selectize.js,
 libjs-jquery-lazyload,
 libjs-jstimezonedetect,
 libjs-highlight.js,
# Needed for the postinst script
  adduser,
Recommends:
 pagure-ev-server (= ${source:Version}),
 pagure-milters (= ${source:Version}),
 pagure-webhook (= ${source:Version}),
 pagure-ci (= ${source:Version}),
 pagure-loadjson (= ${source:Version}),
 pagure-logcom (= ${source:Version}),
 pagure-mirror (= ${source:Version}),
 redis-server,
 ${misc:Recommends}
Suggests: pagure-doc
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, Python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.
 .
 You may be also interesed in other packages to enhance the
 functionality of pagure:
  * pagure-ev-server
  * pagure-milters
  * pagure-webhook
  * pagure-ci
  * pagure-loadjson
  * pagure-logcom
  * pagure-mirror

Package: pagure-ev-server
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 python3-trololio,
Suggests: pagure-doc
Description: git-centered forge using pygit2 - EventSource server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-ev-server used to allow live-refreshing of a page when someone
 is viewing it. For example, while you are reading a ticket if someone
 comments on it, the comment will automatically show up on the page
 without the need for you to reload the entire page.

Package: pagure-milters
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 postfix,
 python3-milter,
Suggests: pagure-doc
Description: git-centered forge using pygit2 - milters (mail filters)
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-milters is used to allow replying on a comment of a ticket or a
 pull-request by directly replying to the notification sent.  No need
 to go to the page anymore to reply to a comment someone made.
 .
 It integrates with an MTA such as postfix or sendmail that you will
 have running and have access to in order to change its configuration.

Package: pagure-webhook
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - web-hook server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-webhook sends notifications to third party services using POST
 http requests.

Package: pagure-ci
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - CI integration server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-ci is a service integrating the results of Continuous
 Integration (CI) services, such as jenkins, into pull-requests opened
 against your project on pagure.

Package: pagure-loadjson
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - JSON load server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 This service loads into the database the JSON files representing
 issues (and in the future also the pull-requests).
 .
 It is triggered by a git hook, which sends a notification that a push
 happened.  This service receives the notification, finds the list
 of files that changed and loads them into the database.

Package: pagure-logcom
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - commit log server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 This service logs in the user's commits to be displayed in the
 database.
 .
 It is triggered by a git hook, which sends a notification that a push
 happened.  This service receives the notification, goes over all of
 the commits that got pushed and logs the activity corresponding to
 that user.

Package: pagure-mirror
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - mirror
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-mirror is the service mirroring projects that asked for it
 outside of this pagure instance.

Package: pagure-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: git-centered forge using pygit2 (documentation)
 Pagure is a git-centered forge, Python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pagure

DESTDIR = debian/pagure
export PYBUILD_DESTDIR = $(DESTDIR)

DESTDIR_EV_SERVER = debian/pagure-ev-server

# The user we create when the package is installed.
PAGURE_USER = _pagure

%:
	dh $@ --with python3,sphinxdoc,apache2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' make -C doc/ \
	    html SPHINXBUILD=sphinx-build
# For the manpage, we don't need to include the changelog.  This also
# prevents an annoying lintian warning.
	PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' make -C doc/ \
            man SPHINXBUILD=sphinx-build \
	    SPHINXOPTS='-D exclude_patterns=changelog.rst'

# Unfortunately, there are a lot of tweaks we need to do after
# auto_install.  For each Python 3 version available, we need to:
#
# 1) Iterate over the *.js files (but _not_ *.min.js), and minify it
# using yui-compressor.
#
# 2) Likewise, but for *.css files.
#
# 3) Iterate over the symlinks under pagure/hooks/files/, check if it
# points to a non-existent file, and remove it if it does.
#
# 4) Iterate over the font files and remove the executable bits from
# them.
override_dh_auto_install:
	dh_auto_install
	for py in $(shell py3versions -rv); do \
	    paguredir=$(DESTDIR)/usr/lib/python$${py}/dist-packages/pagure; \
	    themesdir=$${paguredir}/themes; \
	    vendordir=$${paguredir}/static/vendor; \
	    find $${vendordir} $${themesdir} -name "*.js" ! -name "*.min.js" \
	      | sed 's/\.js$$//' | while read file ; do \
	        yui-compressor -o $${file}.min.js $${file}.js; \
	    done; \
	    find $${vendordir} $${themesdir} -name "*.css" ! -name "*.min.css" \
	      | sed 's/\.css$$//' | while read file ; do \
	        yui-compressor -o $${file}.min.css $${file}.css; \
	    done; \
	    find $${paguredir}/hooks/files/ -type l \
	      | while read file; do \
	        if stat $${file} | grep -q '\/does\/not\/exist'; then \
	            rm -fv $${file}; \
	        fi; \
	    done; \
	    find $${paguredir} -name "*.ttf" -o -name "*.woff" \
	      -o -name "*.woff2" -o -name "*.svg" -o -name "*.eot" \
	      | xargs chmod -x; \
	done

# These are helper scripts, but they need to be marked executable.
override_dh_fixperms:
	dh_fixperms
	chmod -v +x \
	    $(DESTDIR)/usr/share/pagure/aclchecker.py \
	    $(DESTDIR)/usr/share/pagure/keyhelper.py \
	    $(DESTDIR)/usr/share/pagure/mirror_project_in.py \
	    $(DESTDIR_EV_SERVER)/usr/share/pagure-ev-server/bin/pagure_stream_server.py

override_dh_installsystemd-indep:
	dh_installsystemd --no-enable --no-start --package pagure --name pagure-worker
	dh_installsystemd --no-enable --no-start --package pagure --name pagure-gitolite-worker
	dh_installsystemd --no-enable --no-start --package pagure --name pagure-api-key-expire-mail
	dh_installsystemd --no-enable --no-start --package pagure --name pagure-mirror-project-in
	dh_installsystemd --no-enable --no-start --remaining-packages
# The service files come with user/group "git" (or "mirror", in the
# case of pagure-mirror) by default.  We have to replace it with our
# own user/group $(PAGURE_USER).
	find debian/ -type f -name "*.service" \
	  | xargs sed -i -e "s/User=\(git\|mirror\)/User=$(PAGURE_USER)/" \
		      -e "s/Group=\(git\|mirror\)/Group=$(PAGURE_USER)/"

# The Apache2 configuration file that is installed must be edited and
# adjusted by the user before it can be enabled.
override_dh_apache2:
	dh_apache2 --noenable

# The testsuite does not pass completely when run offline.  I still
# think it is useful to have it run.
override_dh_auto_test:
	dh_auto_test || true

## pagure 5.11.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pagure
 Section: net
 Priority: optional
-Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
  dh-python,
  dh-apache2,
@@ -24,6 +25,7 @@
  python3-chardet,
  python3-cryptography,
  python3-docutils,
+ python3-email-validator,
  python3-flask,
  python3-flaskext.wtf,
  python3-gdbm,
@@ -44,6 +46,7 @@
  python3-six,
  python3-sqlalchemy,
  python3-straight.plugin,
+ python3-whitenoise,
  python3-wtforms,
 # Needed for tests
  black <!nocheck>,
@@ -53,13 +56,13 @@
  python3-eventlet <!nocheck>,
  python3-fedora <!nocheck>,
  python3-flake8 <!nocheck>,
- python3-funcsigs <!nocheck>,
  python3-mock <!nocheck>,
  python3-nose <!nocheck>,
  python3-nosexcover <!nocheck>,
  redis-server <!nocheck>,
  gitolite3 <!nocheck>,
  git <!nocheck>,
+ sqlite3 <!nocheck>,
 # JavaScript deps
  yui-compressor,
  libjs-bootstrap4,
@@ -67,14 +70,12 @@
  libjs-d3,
  libjs-highlight.js,
  libjs-jquery,
- libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
  libjs-jquery-selectize.js,
  libjs-jquery-lazyload,
  libjs-jstimezonedetect,
- libjs-highlight.js,
 # Fonts
  fonts-font-awesome,
 Standards-Version: 4.5.0
@@ -88,12 +89,12 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ alembic,
  fonts-font-awesome,
  python-celery-common,
  python3-pymysql,
  python3-pg8000,
- mariadb-server | postgresql | sqlite3,
- httpd-wsgi3,
+ libapache2-mod-wsgi-py3,
 # Needed for pagure-admin
  python3-gdbm,
 # The JS libs are not picked up as deps.
@@ -101,7 +102,6 @@
  libjs-codemirror,
  libjs-d3,
  libjs-jquery,
- libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
@@ -119,7 +119,6 @@
  pagure-loadjson (= ${source:Version}),
  pagure-logcom (= ${source:Version}),
  pagure-mirror (= ${source:Version}),
- redis-server,
  ${misc:Recommends}
 Suggests: pagure-doc
 Description: git-centered forge using pygit2

## pagure 5.11.3+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 cryptography
 docutils
 enum34;python_version<"3.4"
+# this is only needed with wtforms on py3
+email_validator;python_version>="3.0"
 flask
 flask-wtf
 kitchen
@@ -27,14 +29,11 @@
 requests
 six
 # sqlalchemy minimum 0.8
-# sqlalchemy 1.3.0 is causing issues on the pip container leading
-# test_pagure_lib.py to raise a:
-# "(sqlite3.OperationalError) no such column: users.user"
-# in test_search_projects_private line 319
-sqlalchemy < 1.3.0
+sqlalchemy >= 0.8
 # 1.4.0 is broken, 1.4.0-post-1 works but gives odd results on newer setuptools
 # the latest version 1.5.0 is also known to work
 straight.plugin
+whitenoise
 wtforms
 
 # Required only for the `oidc` authentication backend

=== debian/changelog ===
pagure (5.11.3+dfsg-4) unstable; urgency=medium

  * QA Upload

  [ Diane Trout ]
  * Update d/watch to as old watch pattern was missing a release
  * Add 0005-update-wtform-validator-call.patch (Closes: #1055204)
    Updates calls to wtforms.validators
  * Add 0006-use-markupsafe-escape.patch
    Deal with updated jinja2 library API

  [ Rebecca N. Palmer ]
  * Stop using removed cgi.escape (Closes: #1084587)
  * Fix SyntaxWarning. (Closes: #1085764)
  * Depend on celery not -common. (Closes: #1064530)
  * Clean up after documentation build. (Closes: #1046324)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 20:19:04 +0100

pagure (5.11.3+dfsg-3) unstable; urgency=medium

  * d/control: Set Maintainer to Debian QA Group, orphaning package.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 12 Jun 2024 19:29:08 -0400

pagure (5.11.3+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:11:31 +0200

pagure (5.11.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/pagure.postrm: Don't fail if adduser is not installed.
    (Closes: #1029626)

 -- Adrian Bunk <bunk@debian.org>  Tue, 21 Feb 2023 14:26:40 +0200

pagure (5.11.3+dfsg-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/control: Depend on git.
  * d/control: Depend on python3-email-validator, needed for pagure-admin.
  * d/README.Debian: Clarify that some Apache modules may need to be enabled.
    If the user chooses to use TLS, the she will need to enable the "ssl"
    and "headers" modules.
  * d/conf/pagure.conf: Fix Alias paths.
    The static files have been moved to /usr/share/pagure, so we need to
    update the paths.
  * d/control: Remove B-D on python3-nose{,xcover}. (Closes: #1018432)

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
  * Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Jan 2023 00:05:14 -0500

pagure (5.11.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.11.3+dfsg
  * Remove some local patches that are released by upstream.
    - d/p/0004-Fix-the-model-around-the-boards-so-it-works-with-mar.patch:
      Removed; released by upstream.
    - d/p/0005-Add-new-endpoints-to-the-API-documentation.patch: Likewise.
  * d/control: Add sqlite3 as B-D, needed for testing.
  * d/pagure-milters.tmpfile: Rename to ...tmpfiles.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 18 Aug 2020 22:51:33 -0400

pagure (5.11.2+dfsg-1) unstable; urgency=medium

  * d/NEWS: Fix typo.
  * d/control: Don't Depends/Recommends database servers.
    The user should not need to install a database server
    indiscriminately; she should be able to use an external DB if wanted.
  * d/README.Debian: Improve explanation about the use of DB servers.
  * d/copyright: Exclude *.min.js from vendor/dragula/.
    We're going to import the next release, which adds a new bundled JS
    library.
  * New upstream version 5.11.2+dfsg
  * d/control: B-D on python3-whitenoise.
  * Adjust flask_app.py to locate template, static and theme files.
    - d/p/0004-Adjust-flask_app.py-to-locate-template-static-and-th.patch:
      New patch.  On Debian, we install template, static and theme files
      under /usr/share/pagure (instead of
      /usr/lib/python3/dist-packages/pagure, which is upstream's default).
      For that reason, we have to adjust flask_app.py in order to make it
      properly locate these files.
  * Install templates, themes and static files under /usr/share/pagure.
    - d/pagure.install: Install templates, themes and static files under
      /usr/share/pagure.
    - d/pagure.links: Adjust links to /usr/share/pagure.
    - d/rules: Delete static, templates and themes after dh_install.
  * Fix alembic model for MariaDB/MySQL, and add new endpoints to the API
    documentation.
    - d/p/0004-Fix-the-model-around-the-boards-so-it-works-with-mar.patch:
      Fix alembic model.
    - d/p/0005-Add-new-endpoints-to-the-API-documentation.patch: Add new
      endpoints.
  * d/NEWS: Mention the database schema update.
  * d/control: Make pagure depend on alembic.
  * d/source/lintian-overrides: Add overrides for dragula.js.
    There are long lines in the files, but they are not minified.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 09 Aug 2020 22:47:06 -0400

pagure (5.10.0+dfsg-2) unstable; urgency=medium

  * Remove python3-funcsigs from B-D.
    This dependency is not needed anymore. (Closes: #959934)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Jun 2020 12:47:11 -0400

pagure (5.10.0+dfsg-1) unstable; urgency=medium

  * Import jquery.atwho.
    Unfortunately, at.js is currently broken in Debian and preventing
    pagure from migrating to testing.  Since upstream ships the unminified
    version of package, we are going to use it instead.
  * New upstream version 5.10.0+dfsg
  * Remove unnecessary jquery.atwho links from d/links.
    We're not using the Debian package anymore.
  * Don't depend on libjs-jquery-atwho anymore.
    We are now using upstream's version of the package.
  * Add lintian overrides for jquery.atwho.
    There are big lines in the JS file, but it is not minified.
  * Delete sqlalchemy patch.
    Upstream has fixed the sqlalchemy problem.
  * Install pagure-authorized-keys-worker.service.
    Pagure now ships a specialized worker responsible for taking care of
    the ssh authentication, so now we have to ship it.
  * Add SSH_FOLDER to config and create $PAGURE_HOME/.ssh folder.


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pagure
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
@@ -15,13 +14,13 @@
  python3-cloud-sptheme,
 # Python deps for pagure
  alembic,
+ celery,
  python3-alembic,
  python3-arrow,
  python3-binaryornot,
  python3-bleach,
  python3-blinker,
  python3-celery,
- python-celery-common,
  python3-chardet,
  python3-cryptography,
  python3-docutils,
@@ -57,8 +56,6 @@
  python3-fedora <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-mock <!nocheck>,
- python3-nose <!nocheck>,
- python3-nosexcover <!nocheck>,
  redis-server <!nocheck>,
  gitolite3 <!nocheck>,
  git <!nocheck>,
@@ -78,7 +75,7 @@
  libjs-jstimezonedetect,
 # Fonts
  fonts-font-awesome,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pagure.io/pagure
 Vcs-Git: https://salsa.debian.org/debian/pagure.git
 Vcs-Browser: https://salsa.debian.org/debian/pagure
@@ -90,13 +87,15 @@
  ${misc:Depends},
  ${python3:Depends},
  alembic,
+ celery,
+ git,
  fonts-font-awesome,
- python-celery-common,
  python3-pymysql,
  python3-pg8000,
  libapache2-mod-wsgi-py3,
 # Needed for pagure-admin
  python3-gdbm,
+ python3-email-validator,
 # The JS libs are not picked up as deps.
  libjs-bootstrap4,
  libjs-codemirror,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 
 %:
 	dh $@ --with python3,sphinxdoc,apache2 --buildsystem=pybuild
+
+
+override_dh_auto_clean:
+	rm -rf doc/_build
+	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build
@@ -56,10 +61,15 @@
 	            rm -fv $${file}; \
 	        fi; \
 	    done; \
-	    find $${paguredir} -name "*.ttf" -o -name "*.woff" \
-	      -o -name "*.woff2" -o -name "*.svg" -o -name "*.eot" \
-	      | xargs chmod -x; \
 	done
+
+override_dh_install:
+	dh_install
+# We install the directories below under /usr/share/pagure, so we have
+# to make sure to delete them from $(DESTDIR).
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/static/
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/templates/
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/themes/
 
 # These are helper scripts, but they need to be marked executable.
 override_dh_fixperms:
@@ -75,6 +85,7 @@
 	dh_installsystemd --no-enable --no-start --package pagure --name pagure-gitolite-worker
 	dh_installsystemd --no-enable --no-start --package pagure --name pagure-api-key-expire-mail
 	dh_installsystemd --no-enable --no-start --package pagure --name pagure-mirror-project-in
+	dh_installsystemd --no-enable --no-start --package pagure --name pagure-authorized-keys-worker
 	dh_installsystemd --no-enable --no-start --remaining-packages
 # The service files come with user/group "git" (or "mirror", in the
 # case of pagure-mirror) by default.  We have to replace it with our
@@ -88,6 +99,32 @@
 override_dh_apache2:
 	dh_apache2 --noenable
 
+# - Disable test_dev_data until dev-data.py is shipped upstream:
+#   https://pagure.io/pagure/issue/4741
+#
+# - Disable test_upload_issue, due to non-determinism.
+#
+# - Disable test_upload_issue_virus because it requires a running
+#   clamav-server instance.
+#
+# - Disable black compliance check, and test_code_with_flake8.  They
+#   require +rw access on /dev/shm for POSIX semaphores, which isn't
+#   always possible on chroot.
+#
+# - Disable test_view_issue_custom_field_user_ticket, due to
+#   non-determinism.  See <https://pagure.io/pagure/issue/4798>.
+export PYBUILD_TEST_ARGS = \
+        --exclude=test_dev_data \
+        --exclude=test_upload_issue \
+        --exclude=test_upload_issue_virus \
+        --exclude=test_view_issue_raw_file \
+        --exclude=test_code_with_black \
+        --exclude=test_code_with_flake8 \
+	--exclude=test_view_issue_custom_field_user_ticket
+
+# Necessary for the tests.
+export PAGURE_CONFIG = ../tests/test_config
+
 # The testsuite does not pass completely when run offline.  I still
 # think it is useful to have it run.
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pagure.io/pagure/releases/ \
https://pagure.io/pagure/archive/@ANY_VERSION@/pagure-@ANY_VERSION@@ARCHIVE_EXT@

## pagure 5.11.3+dfsg-1+10.0trisquel1

=== debian/changelog ===
pagure (5.11.3+dfsg-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 28 May 2021 17:02:41 +0000

## pagure 5.14.1+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 python-openid-teams
 redis
 requests
+setuptools
 six
 # sqlalchemy minimum 0.8
 sqlalchemy >= 0.8

=== debian/changelog ===
pagure (5.14.1+dfsg-8) unstable; urgency=medium

  * Avoid view_file crash in flask 3.1.2. (Closes: #1114250)
  * Continue to run only some tests in Salsa CI.
  * Update Lintian overrides.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Docs: fix grammar.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Sep 2025 08:17:29 +0100

pagure (5.14.1+dfsg-7) unstable; urgency=medium

  * Tests: ignore (in more places) that the default token expiration
    is from import time not from token creation time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 10 Feb 2025 23:18:12 +0000

pagure (5.14.1+dfsg-6) unstable; urgency=medium

  * Tests: allow some build path special characters in more places,
    allow no Location header,
    ignore that the default token expiration is from import time
    not from token creation time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Feb 2025 14:09:07 +0000

pagure (5.14.1+dfsg-5) unstable; urgency=medium

  * Don't error with newer versions of dependencies.
    - On some plugin use, online file edits, and project creation.
  * Disable tests that still fail.
    - Plugins, force logout, repo deletion, dump and reload.
  * Tests: allow build paths containing some special characters,
    allow building in non-UTC time zones.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 08 Feb 2025 19:44:44 +0000

pagure (5.14.1+dfsg-4) unstable; urgency=medium

  * Tests: accept merge messages with seconds,
    stop ignoring failures.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 04 Feb 2025 07:25:25 +0000

pagure (5.14.1+dfsg-3) unstable; urgency=medium

  * Tests: ignore failures, add debug output.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2025 22:08:31 +0000

pagure (5.14.1+dfsg-2) unstable; urgency=medium

  * Fix Javascript error in security patch.
  * Fix bugs introduced by pygit2 compatibility patch.
  * Tests: Replace mock with unittest.mock (Closes: #1093648),
    skip fewer tests, accept more changed error messages.
  * d/copyright: fix Lintian warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 27 Jan 2025 21:42:25 +0000

pagure (5.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release.  Includes security fixes (Closes: #1091383):
    - Do not allow reading or writing files outside the repository
      via .. or symlink:
      - view_issue_raw_file()
        https://bugzilla.redhat.com/show_bug.cgi?id=2280726
      - generate_archive() CVE-2024-47515
      - _update_file_in_git()
        https://bugzilla.redhat.com/show_bug.cgi?id=2280723
    - Do not interpret filenames starting with - as git options
      in log() / view_history_file().
      https://bugzilla.redhat.com/show_bug.cgi?id=2315805
  * Drop / refresh patches.
  * Fix additional security issues:
    - Javascript prototype pollution (probably non-exploitable).
    - Quote non-escaping in HTML diffs.
  * Adapt to newer versions of dependencies:
    - Don't crash (many places).
    - Keep markdown alignment, keep reporting empty commits as empty.
    - Still possibly broken: plugins, dump and reload.
  * Tests:
    - Re-enable the build-time tests, using pytest.
    - Enable Salsa CI and autopkgtest, default to a subset for speed.
    - Don't crash when a test has no display name.
    - Accept changed error messages.
    - Skip code style checks.
    - Don't assume being in the source repo (e.g. find templates).
    - Clean up afterwards.
  * Javascript:
    - Minify with terser, copy if minification fails.
    - Actually install the minified version (and fix symlinks).
    - Switch back to Debian packaged libjs-jquery-atwho.
    - Add missing licenses to d/copyright.
  * d/watch: fix version duplication.
  * Fix spelling and grammar.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Set Rules-Requires-Root: no.
  * New maintainer.  (Closes: #1073117)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 14 Jan 2025 23:14:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pagure
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
@@ -55,18 +55,20 @@
  python3-eventlet <!nocheck>,
  python3-fedora <!nocheck>,
  python3-flake8 <!nocheck>,
- python3-mock <!nocheck>,
+ python3-pytest <!nocheck>,
  redis-server <!nocheck>,
  gitolite3 <!nocheck>,
  git <!nocheck>,
  sqlite3 <!nocheck>,
 # JavaScript deps
+ terser,
  yui-compressor,
  libjs-bootstrap4,
  libjs-codemirror,
  libjs-d3,
  libjs-highlight.js,
  libjs-jquery,
+ libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
@@ -75,7 +77,9 @@
  libjs-jstimezonedetect,
 # Fonts
  fonts-font-awesome,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://pagure.io/pagure
 Vcs-Git: https://salsa.debian.org/debian/pagure.git
 Vcs-Browser: https://salsa.debian.org/debian/pagure
@@ -101,6 +105,7 @@
  libjs-codemirror,
  libjs-d3,
  libjs-jquery,
+ libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,

=== debian/rules ===
--- 
+++ 
@@ -41,35 +41,44 @@
 #
 # 4) Iterate over the font files and remove the executable bits from
 # them.
+
+# eventually this should be replaced by building from real source
+# emojione/emojione.sprites.css is a link to the minified version, removed here because it is broken, put back in pagure.links
 override_dh_auto_install:
 	dh_auto_install
+	mkdir -p $(DESTDIR)/usr/share/pagure
 	for py in $(shell py3versions -rv); do \
 	    paguredir=$(DESTDIR)/usr/lib/python$${py}/dist-packages/pagure; \
 	    themesdir=$${paguredir}/themes; \
 	    vendordir=$${paguredir}/static/vendor; \
+	    rm -rfv $${vendordir}/jquery.atwho $${vendordir}/*/*.min.js $${vendordir}/*/*.min.css $${vendordir}/emojione/emojione.sprites.css ; \
 	    find $${vendordir} $${themesdir} -name "*.js" ! -name "*.min.js" \
 	      | sed 's/\.js$$//' | while read file ; do \
-	        yui-compressor -o $${file}.min.js $${file}.js; \
+	        echo "Processing $${file}.js" && \
+	        terser -c -o $${file}.min.js $${file}.js || cp $${file}.js $${file}.min.js; \
 	    done; \
 	    find $${vendordir} $${themesdir} -name "*.css" ! -name "*.min.css" \
 	      | sed 's/\.css$$//' | while read file ; do \
-	        yui-compressor -o $${file}.min.css $${file}.css; \
+	        echo "Processing $${file}.css" && \
+	        yui-compressor -o $${file}.min.css $${file}.css || cp $${file}.css $${file}.min.css; \
 	    done; \
 	    find $${paguredir}/hooks/files/ -type l \
 	      | while read file; do \
 	        if stat $${file} | grep -q '\/does\/not\/exist'; then \
 	            rm -fv $${file}; \
 	        fi; \
-	    done; \
+	    done; cp -rfv $${paguredir}/static $${paguredir}/templates $${paguredir}/themes -t $(DESTDIR)/usr/share/pagure; \
 	done
 
 override_dh_install:
 	dh_install
-# We install the directories below under /usr/share/pagure, so we have
-# to make sure to delete them from $(DESTDIR).
+# We install the directories below under /usr/share/pagure, not python3*
+# (from the copy we minified above, not the original that we omit minified files from)
 	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/static/
 	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/templates/
 	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/themes/
+# clean up after tests
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/dump.rdb
 
 # These are helper scripts, but they need to be marked executable.
 override_dh_fixperms:
@@ -99,33 +108,39 @@
 override_dh_apache2:
 	dh_apache2 --noenable
 
-# - Disable test_dev_data until dev-data.py is shipped upstream:
-#   https://pagure.io/pagure/issue/4741
-#
-# - Disable test_upload_issue, due to non-determinism.
-#
-# - Disable test_upload_issue_virus because it requires a running
-#   clamav-server instance.
-#
-# - Disable black compliance check, and test_code_with_flake8.  They
-#   require +rw access on /dev/shm for POSIX semaphores, which isn't
-#   always possible on chroot.
-#
-# - Disable test_view_issue_custom_field_user_ticket, due to
-#   non-determinism.  See <https://pagure.io/pagure/issue/4798>.
-export PYBUILD_TEST_ARGS = \
-        --exclude=test_dev_data \
-        --exclude=test_upload_issue \
-        --exclude=test_upload_issue_virus \
-        --exclude=test_view_issue_raw_file \
-        --exclude=test_code_with_black \
-        --exclude=test_code_with_flake8 \
-	--exclude=test_view_issue_custom_field_user_ticket
+# test_style is skipped as code style checks do not belong in distribution builds
+# test_upload_issue_virus is skipped as it requires clamd
+# others listed currently fail
+TEST_SKIPS=not test_style and not test_upload_issue_virus and not test_dumping_reloading_ticket and not test_plugin and not test_delete_repo
+
+# this is used if not set below i.e. not Salsa or autopkgtest
+# full test suite in one run
+# this may take several hours
+PYBUILD_TEST_ARGS=-k '$(TEST_SKIPS)'
+
+ifneq (,$(findstring pkg.pagure.quickcheck,$(DEB_BUILD_PROFILES)))
+# Salsa
+# pick some at random-ish for a quick test, plus the known #1101621 and #1114250 fails and reproducible-builds fail
+# intentionally different from autopkgtest for more coverage
+PYBUILD_TEST_ARGS=-k '(commit or test_api_pr_private_repo or test_api_get_project_webhook or test_fork_edit_file_namespace) and $(TEST_SKIPS)'
+# previously failing ones
+#PYBUILD_TEST_ARGS=-k 'test_install_plugin or test_dumping_reloading_ticket or test_plugin or test_force_logout or test_delete_repo or test_edit_file or new_project_with_template'
+endif
+ifneq (,$(findstring pkg.pagure.splitcheck,$(DEB_BUILD_PROFILES)))
+# full run on Salsa
+# use both architectures to fit in the 3hr limit
+# needed when there are 2 Python versions: export PYBUILD_DISABLE=test/python3.12
+ifeq ($(DEB_HOST_ARCH),i386)
+PYBUILD_TEST_ARGS=-k '(pagure_lib or pagure_flask_api) and $(TEST_SKIPS)'
+else
+PYBUILD_TEST_ARGS=-k 'not pagure_lib and not pagure_flask_api and $(TEST_SKIPS)'
+endif
+endif
+ifneq (,$(PYBUILD_AUTOPKGTEST))
+# autopkgtest: pick some at random-ish for a quick test, plus the known pygit2 1.17 fail and reproducible-builds fail
+PYBUILD_TEST_ARGS=-k '(fork or new_project_with_template or test_api_get_project_webhook) and $(TEST_SKIPS)'
+endif
+export PYBUILD_TEST_ARGS
 
 # Necessary for the tests.
-export PAGURE_CONFIG = ../tests/test_config
-
-# The testsuite does not pass completely when run offline.  I still
-# think it is useful to have it run.
-override_dh_auto_test:
-	dh_auto_test || true
+export PAGURE_CONFIG = $(CURDIR)/tests/test_config

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pagure.io/pagure/releases/ \
https://pagure.io/pagure/archive/[\d.]*/pagure-@ANY_VERSION@@ARCHIVE_EXT@
